# API Log Details Returns details of the specific API log event. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "API Logs", "description": "Operations related to API logs." } ], "paths": { "/public/v1/logs/{id}": { "get": { "deprecated": true, "x-sunset": "2027-02-04", "summary": "API Log Details", "description": "Returns details of the specific API log event.", "operationId": "detailsLog", "tags": [ "API Logs" ], "parameters": [ { "$ref": "#/components/parameters/LogEventIdParam" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/APILogDetailsResponse" }, "examples": { "API Logs Details": { "$ref": "#/components/examples/APILogDetailsExample" } } } } }, "401": { "$ref": "#/components/responses/401" }, "404": { "$ref": "#/components/responses/404" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "APILogDetailsResponse": { "type": "object", "properties": { "id": { "type": "string", "example": "AXyDkCYFy9B65Q_E9BY3" }, "url": { "type": "string", "example": "/public/v1/templates/folders/LKoqFUZZGowLAVo6ECFRyB" }, "method": { "type": "string", "example": "PUT" }, "status": { "type": "integer", "example": 201 }, "request_time": { "type": "string", "example": "2021-10-15T10:46:57.867" }, "response_time": { "type": "string", "example": "2021-10-15T10:46:57.969" }, "response_body": { "type": "object", "example": { "name": "Another templates folder" } }, "query_params_string": { "type": "string", "example": "since=-1d&to=now", "nullable": true }, "query_params_object": { "type": "object", "nullable": true, "example": { "moesif_meta": { "root": { "count": 2 }, "since": { "count": 1 }, "to": { "count": 1 } }, "since": "-1d", "to": "now" } }, "request_body": { "type": "object", "example": { "date_created": "2021-10-15T10:45:41.138489Z", "name": "Another templates folder", "uuid": "LKoqFUZZGowLAVo6ECFRyB" } }, "token_type": { "type": "string", "example": "OAUTH2_TOKEN" }, "application": { "type": "string", "nullable": true, "example": "Application One" }, "key": { "type": "string", "example": "0a5eb48cf42fa507f3dfdd5bdbab7c5bfc20a1b9" }, "request_id": { "type": "string", "example": "94d232f6-fadd-4e2d-a330-702b0b172588" }, "user_email": { "type": "string", "example": "support@pandadoc.com" }, "user_id": { "type": "string", "example": "KKj4kdqfrMeE6bni7pK5gK" } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "404": { "description": "Not found", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "request_error" }, "detail": { "type": "string", "example": "Not found" } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } } }, "parameters": { "LogEventIdParam": { "name": "id", "in": "path", "description": "Log event id.", "schema": { "type": "string" }, "required": true, "examples": { "Log Event ID": { "value": "AZC86i5PYKMjQjMMMw9e" } } } }, "examples": { "APILogDetailsExample": { "value": { "id": "AZC86i5PYKMjQjMMMw9e", "url": "/public/v1/documents/iZy3j9GmryVUSAbwL9tGWP/recipients/", "method": "POST", "status": 200, "request_time": "2024-07-15T18:59:38.000", "response_time": "2024-07-15T18:59:39.000", "request_body": { "id": "xNVQVHShdgxHTTPVJ3CWCC", "kind": "contact" }, "query_params_string": null, "query_params_object": null, "response_body": { "recipient_id": "PsPqdRm4dt4thxnYMqttwY" }, "token_type": "API_KEY", "application": null, "key": "9cf111111c3bd477ab9bb4123453b7f5d6502cd8", "request_id": "284b1456-1111-4ba9-1111-0d82418205f5", "user_email": "siarhei@pandadoc.com", "user_id": "Hzpt4yyQ3A5qHTTPdZQxpH" } } } } } ```